# Remove a participant from an iMessage group

Removes a participant from an iMessage group.

```http
DELETE https://api.pozy.ai/v1/imessage/groups/{conversationId}/participants
```

- Area: Messaging / iMessage
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `conversationId` (string, required)

## Query parameters

- `accountId` (string, required)
- `contact` (string, required)

## Example request

```bash
curl -X DELETE "https://api.pozy.ai/v1/imessage/groups/6e525f3820fc636aa96d2ee9/participants?accountId=696e0b682d0a31188e7a2ba9&contact=string" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/imessage/groups/6e525f3820fc636aa96d2ee9/participants?accountId=696e0b682d0a31188e7a2ba9&contact=string", {
  method: "DELETE",
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const text = await res.text();
const data = text ? JSON.parse(text) : null;
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.delete(
    "https://api.pozy.ai/v1/imessage/groups/6e525f3820fc636aa96d2ee9/participants",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "contact": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `conversationId`, string
- `contact`, string

```json
{
  "success": true,
  "conversationId": "6e525f3820fc636aa96d2ee9",
  "contact": "string"
}
```
